<template>
  <div
    v-if="isHot || isNew"
    class="flex gap-0.5"
    :class="{ 'flex-col': vertical }"
  >
    <HotTag v-if="isHot" class="w-6" :style="{ width, height }" />
    <NewTag v-else-if="isNew" class="w-6" :style="{ width, height }" />
  </div>
</template>

<script setup lang="ts">
import HotTag from "~~/assets/icons/hot-tag.svg?component";
import NewTag from "~~/assets/icons/new-tag.svg?component";

defineProps<{
  isHot?: boolean;
  isNew?: boolean;
  vertical?: boolean;
  width?: string;
  height?: string;
}>();
</script>
